<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast/Comment.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast.Comment</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlast.html" >idlast</a>
</div><div class="class-name">class Comment

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">../Synopsis/Parsers/IDL/idlast.py</a></div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line274" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">Class containing information about a comment

Functions:

  text&#40;&#41;    -- text of the comment
  __str__&#40;&#41; -- same as text&#40;&#41;
  file&#40;&#41;    -- file containing the comment
  line&#40;&#41;    -- line number in file</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__text">__text</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line285" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__file">__file</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line286" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__line">__line</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line287" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">text</span>, <span class="variable">file</span>, <span class="variable">line</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line284" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="text">text</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment.text" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line289" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__str__">__str__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment.__str__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line290" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file">file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment.file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line291" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="line">line</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment.line" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line292" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:03 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
